Bug 189324 - [PATCH] security/create-cert: Update to 2.4
Summary: [PATCH] security/create-cert: Update to 2.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frederic Culot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-03 23:40 UTC by leres
Modified: 2014-05-19 09:10 UTC (History)
1 user (show)

See Also:


Attachments
patch.txt (1.31 KB, text/plain)
2014-05-03 23:40 UTC, leres
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2014-05-03 23:40:00 UTC
	Update to 2.4; changes since 2.3 include:

	    Update to support -C with openssl 1.X.

	    Enforce the 2 character country code length requirement.

	    Update copyright notices with the July 22, 1999 BSD-new
	    version.

	    Remove -o and -g from install commands to be FreeBSD
	    ports staging friendly.

Fix: Please see the attached patches.
Comment 1 Frederic Culot freebsd_committer 2014-05-19 08:59:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->culot

I'll take it.
Comment 2 dfilter freebsd_committer 2014-05-19 09:03:53 UTC
Author: culot
Date: Mon May 19 08:03:49 2014
New Revision: 354511
URL: http://svnweb.freebsd.org/changeset/ports/354511
QAT: https://qat.redports.org/buildarchive/r354511/

Log:
  - Update to 2.4
  
  PR:		ports/189324
  Submitted by:	Craig Leres <leres@ee.lbl.gov> (maintainer)

Modified:
  head/security/create-cert/Makefile
  head/security/create-cert/distinfo

Modified: head/security/create-cert/Makefile
==============================================================================
--- head/security/create-cert/Makefile	Mon May 19 07:51:48 2014	(r354510)
+++ head/security/create-cert/Makefile	Mon May 19 08:03:49 2014	(r354511)
@@ -2,11 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	create-cert
-PORTVERSION=	2.3
+PORTVERSION=	2.4
 CATEGORIES=	security
 MASTER_SITES=	ftp://ee.lbl.gov/
-DISTFILES=	${DISTNAME}${EXTRACT_SUFX} ${DISTNAME}${EXTRACT_SUFX}.asc
-EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
 
 MAINTAINER=	leres@ee.lbl.gov
 COMMENT=	Create openssl client key and certificates
@@ -18,7 +16,4 @@ PLIST_FILES=	sbin/create-cert \
 
 GNU_CONFIGURE=	yes
 
-verify: checksum
-	gpg --verify ${DISTDIR}/${DISTNAME}${EXTRACT_SUFX}.asc
-
 .include <bsd.port.mk>

Modified: head/security/create-cert/distinfo
==============================================================================
--- head/security/create-cert/distinfo	Mon May 19 07:51:48 2014	(r354510)
+++ head/security/create-cert/distinfo	Mon May 19 08:03:49 2014	(r354511)
@@ -1,4 +1,4 @@
-SHA256 (create-cert-2.3.tar.gz) = c385f65738d45aa6cc76c7c0db9ccd1b0fae10038c41dfdc29578f36b690cd53
-SIZE (create-cert-2.3.tar.gz) = 69637
-SHA256 (create-cert-2.3.tar.gz.asc) = a2e42c9f965098496e16b9409ec78b1ccd4dcb8be181b290c7ea183138cdab9a
-SIZE (create-cert-2.3.tar.gz.asc) = 196
+SHA256 (create-cert-2.4.tar.gz) = 46fcd55b84af95f5cb7b53b4e527b82858538014bcb8f35aa9543b34875636d5
+SIZE (create-cert-2.4.tar.gz) = 72547
+SHA256 (create-cert-2.4.tar.gz.asc) = b38b5e236b401a93efb21f9ab24d15491f008ed2ca4d9ece13eb335596b81e72
+SIZE (create-cert-2.4.tar.gz.asc) = 181
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Frederic Culot freebsd_committer 2014-05-19 09:03:59 UTC
State Changed
From-To: open->closed

Committed. Thanks!